## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesNodeListWrapper Class Reference

`#include <XercesNodeListWrapper.hpp>`

Inheritance diagram for XercesNodeListWrapper

Collaboration diagram for XercesNodeListWrapper:

List of all members.

## Public Methods

- XercesNodeListWrapper ( const DOMNodeListType* theXercesNodeList, const XercesWrapperNavigator& theNavigator)
- XercesNodeListWrapper (const XercesNodeListWrapper& theSource)
- virtual ~XercesNodeListWrapper ()
- bool operator== (const XercesNodeListWrapper& theRHS) const
- virtual XalanNode* item (unsigned int index) const
    Returns the `index`th item in the collection. More...
- virtual unsigned int getLength () const
    Returns the number of nodes in the list. More...

## Constructor & Destructor Documentation

XercesNodeListWrapper::XercesNodeListWrapper ( | const DOMNodeListType * theXercesNodeList,
| const XercesWrapperNavigator & theNavigator )

XercesNodeListWrapper::XercesNodeListWrapper ( | const XercesNodeListWrapper & theSource )

virtual XercesNodeListWrapper::~XercesNodeListWrapper ( | )`[virtual]`

## Member Function Documentation

unsigned int XercesNodeListWrapper::getLength ( | ) const`[virtual]`

Returns the number of nodes in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Reimplemented from XalanNodeList.

XalanNode * XercesNodeListWrapper::item ( | unsigned int index ) const`[virtual]`

Returns the `index`th item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null`.

Parameters:

  index | Index into the collection.

Returns:
  The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.

Reimplemented from XalanNodeList.

bool XercesNodeListWrapper::operator== ( | const XercesNodeListWrapper & theRHS ) const`[]`

The documentation for this class was generated from the following file:

- XercesNodeListWrapper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.